Skip to content
vviinn DocsDocs Beta

Cross-Selling

Deprecated
GET
/product/{product-id}/cross-selling-products
curl --request GET \
--url 'https://api.vviinn.com/product/120857/cross-selling-products?cross-selling-products-count=8&campaigns=127%2C185&image-code=2&color=12ff21&excluded%5B%5D=brand%3ANike%2CPuma&excluded%5B%5D=custom_label_0%3Asummer' \
--header 'Authorization: Bearer <token>'

This endpoint suggests related products based on a source product, usually chosen by a user. The response contains a list of suggestions for each product.

product-id
required
string
Example
120857
cross-selling-products-count

Returns less than or equal to the campaign’s defined results

integer
Example
8
campaigns

Comma-separated list of campaign ids

string
Example
127,185
image-code
string
Example
2
color
deprecated
string
/^[0-9a-fA-F]{6}$/
Example
12ff21
excluded[]

Each item describes a column and values from that column that should be excluded from the result set

Array<string>
Example
[
"brand:Nike,Puma",
"custom_label_0:summer"
]

Success

Media typeapplication/json
object
bestFits
Array<string>
extended
Array<object>
object
kind

This field is superseded by the entity type and therefore deprecated.

string
Allowed values: product content
entityType

The API usually returns products; it can also return entities representing something else. To enable different handling of these entities, the API uses an entity-type to distinguish between them, namely:

  • A product entity represents a product in the catalog.
  • A content entity contains information relevant to a user, e.g., trends, opening hours.
  • A list entity comprises a collection of distinguishable items, e.g., a category page.
string
Allowed values: product content list
groupId
string
nullable
productId
string
title
string
deeplink

Link to the product detail page

string
nullable
brand
string
nullable
productType
string
nullable
image
object
original
required
string format: uri
thumbnail
required
string format: uri
nullable
images
Array<object>
object
original
required
string format: uri
thumbnail
required
string format: uri
nullable
price
object
actual
number
nullable
sale
number
nullable
basePrice
object
actual

The base price per measure is derived by adjusting the product’s total cost to a standardized unit of measurement, making it easier to compare products of varying volumes.

object
price
number
nullable
quantity
number
measure
string
sale

The base price per measure is derived by adjusting the product’s total cost to a standardized unit of measurement, making it easier to compare products of varying volumes.

object
price
number
nullable
quantity
number
measure
string
energyEfficiencyClass

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
minEnergyEfficiencyClass

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
maxEnergyEfficiencyClass

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
energyCertifications
Array<object>
object
certificationClass

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
classIconUrls
object
left
required
string format: uri
right
required
string format: uri
classRange
object
min

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
max

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
classLabelUrl
string format: uri
classDataSheetUrl
string format: uri
productType
string
custom_label_0
string
nullable
custom_label_1
string
nullable
custom_label_2
string
nullable
custom_label_3
string
nullable
custom_label_4
string
nullable
Example
{
"bestFits": [
"b56764137ca959da9541bb28c1987d6c",
"b5685a5230f5050475f214b4bb0e239b",
"b56c560872da93602ff88c7267eb4774",
"d861ad687c60820255dbf8f88516f24d"
],
"extended": [
{
"kind": "product",
"entityType": "product",
"groupId": "55fc5f71d6362321cb93b82b387e2f32",
"productId": "55fc5f71d6362321cb93b82b387e2f32",
"title": "Livingwalls Fototapete Walls by Patel iconic 3",
"deeplink": "http://mainUrl/site/5/product/55fc5f71d6362321cb93b82b387e2f32/details",
"brand": "Fender",
"productType": "guitar",
"image": {
"original": "http://mainUrl/image.jpg",
"thumbnail": "http://mainUrl/thumbnail-image.jpg"
},
"images": [
{
"original": "http://mainUrl/image.jpg",
"thumbnail": "http://mainUrl/thumbnail-image.jpg"
}
],
"price": {
"actual": 19.9,
"sale": 19.9
},
"basePrice": {
"actual": {
"price": 15.92,
"quantity": 100,
"measure": "ml"
},
"sale": {
"price": 15.92,
"quantity": 100,
"measure": "ml"
}
},
"energyEfficiencyClass": "A+++",
"minEnergyEfficiencyClass": "A+++",
"maxEnergyEfficiencyClass": "A+++",
"energyCertifications": [
{
"certificationClass": "A+++",
"classRange": {
"min": "A+++",
"max": "A+++"
}
}
]
}
]
}

Generic Error

Media typeapplication/json
object
message
string
Example
{
"message": "Generic Error"
}

Authentication Error

Media typeapplication/json
Example
{
"message": "Authentication Error"
}

Authorization Error

Media typeapplication/json
Example
{
"message": "Authorization Error"
}